# Fetch My Work Capacity

This endpoint returns a summary of a user's work capacity for a provided range of dates.
This endpoint returns structured User objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `users` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /users/{id}/capacity
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `end_date` (string, required)
    The end date for calculating my work capacity in YYYY-MM-DD format (e.g. 2016-01-01). The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `start_date` (string, required)
    The start date for calculating my work capacity in YYYY-MM-DD format (e.g. 2015-12-16). The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `include_time_off_entries` (boolean)
    Whether to include time off entries in the capacity calculation. Default is `false`.

## Response 200:

  - `200` (unknown)
    A list of Users have been retrieved.

## Response 200 fields (application/json):

  - `start_date` (string)
    The start date for calculating my work capacity in YYYY-MM-DD format (e.g. 2012-09-27).

  - `end_date` (string)
    The end date for calculating my work capacity in YYYY-MM-DD format (e.g. 2012-09-27).

  - `hours` (object)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

